Bug Hunting Session
Bug 118562 - [UI] Edit sections dialog: Help button should be on the left of dialog (v)
Summary: [UI] Edit sections dialog: Help button should be on the left of dialog (v)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4 all versions
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.2.0 target:6.1.0.2
Keywords: bibisected, bisected
Depends on:
Blocks: Dialog
  Show dependency treegraph
 
Reported: 2018-07-05 22:58 UTC by Olivier Hallot
Modified: 2019-09-24 18:20 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Dialog has help button on the right, should be on the left (40.21 KB, image/png)
2018-07-05 22:58 UTC, Olivier Hallot
Details
how it looks in GTK3 (32.22 KB, image/png)
2018-07-05 23:30 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2018-07-05 22:58:04 UTC
Created attachment 143338 [details]
Dialog has help button on the right, should be on the left

Edit Section dialog has help button on the right

should be on the far left

see image attached
Comment 1 Xisco Faulí 2018-07-05 23:29:54 UTC
I can't reproduce it in

Version: 6.2.0.0.alpha0+
Build ID: 0e83efbccc180c957f77291fc0fdc6dd74eae0f4
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded
Comment 2 Xisco Faulí 2018-07-05 23:30:59 UTC
Created attachment 143339 [details]
how it looks in GTK3
Comment 3 Olivier Hallot 2018-07-06 00:43:14 UTC
Not the same dialog

To get to the Edit Section dialog, add a section in a document, click inside the section, open context menu (button 2) and choose edit.
Comment 4 Dieter Praas 2018-07-06 07:12:39 UTC
I confirm it with

Version: 6.2.0.0.alpha0+ (x64)
Build ID: b0e291a7efcd3af2a72d0b622b1f1b84723f011f
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-06-30_23:43:40
Locale: en-US (de_DE); Calc: CL
Comment 5 Xisco Faulí 2018-07-06 08:30:27 UTC
(In reply to Olivier Hallot from comment #3)
> Not the same dialog
> 
> To get to the Edit Section dialog, add a section in a document, click inside
> the section, open context menu (button 2) and choose edit.

Thanks for the clarification. Also reproducible in

Version: 5.2.0.0.alpha0+
Build ID: 3ca42d8d51174010d5e8a32b96e9b4c0b3730a53
Threads 4; Ver: 4.10; Render: default; 

Version: 5.0.0.0.alpha1+
Build ID: 0db96caf0fcce09b87621c11b584a6d81cc7df86
Locale: ca-ES (ca_ES.UTF-8)

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e
Comment 6 Xisco Faulí 2018-07-06 08:36:14 UTC
The buttons were moved from the right to the bottom of the dialog at this point

https://cgit.freedesktop.org/libreoffice/core/commit/?id=08880d659e976887eba5db22ece740df3ce89997

author	Alexander Wilms <f.alexander.wilms@gmail.com>	2013-12-23 17:51:07 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2013-12-23 23:57:33 +0000
commit	08880d659e976887eba5db22ece740df3ce89997 (patch)
tree	db581b63911200b97239ed6709478ccd3984416b
parent	a517fe8aa7acd7eab167ff7ad0770ac5f5590c76 (diff)
Moved buttons columns to the bottom row

@Caolán, I thought you could be interested in this issue....
Comment 7 Caolán McNamara 2018-07-18 15:40:49 UTC
Its just open in glade and set "secondary" property on for the help button like the other cases.
Comment 8 Commit Notification 2018-07-18 18:39:28 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=55b128760e8e7fb732b4627f3120ea5cba8755ce

Resolves: tdf#118562 set correct help button placement

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2018-07-18 18:39:37 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4f2b38cb2b39c7c0362a7bf8b508d045a399c9ed&h=libreoffice-6-1

Resolves: tdf#118562 set correct help button placement

It will be available in 6.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Dieter Praas 2019-09-24 18:20:31 UTC
VERIFIED with

Version: 6.3.2.2 (x64)
Build-ID: 98b30e735bda24bc04ab42594c85f7fd8be07b9c
CPU-Threads: 4; BS: Windows 10.0; UI-Render: GL; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc: threaded